<script lang="ts" setup>
import { useMenuStore } from '@/stores/menu'

import Card from '@/components/Card.vue';
import Menu from '@/components/Menus/Menu.vue';

import BookIcon from '@/components/Icons/BookIcon.vue';
import DriveIcon from '@/components/Icons/DriveIcon.vue';
import SoonIcon from '@/components/Icons/SoonIcon.vue';

const menuStore = useMenuStore()
</script>

<template>
  <Menu id="ressources">
    <Card color="var(--complementary-gray-2)" width="496px" height="auto">
      <div class="ressources">
        <div class="part">
          <span class="title">
            <BookIcon />
            Knowledge
          </span>
          <RouterLink to="/ressources/zine" @click="menuStore.hide">
            <Card height="auto" width="auto">
              <div class="ressource">
                <span class="ressource-title">{{ $t('RESSOURCES.ZINE.TITLE') }}</span>
                <span class="ressource-desc">{{ $t('RESSOURCES.ZINE.DESCRIPTION') }}</span>
              </div>
            </Card>
          </RouterLink>

          <Card class="soon" color="var(--primary-green-25)" height="auto" width="auto">
            {{ $t('MENUS.RESSOURCES.SOON') }}
            <SoonIcon/>
          </Card>
        </div>

        <div class="part">
          <span class="title">
            <DriveIcon />
            Services
          </span>
          <RouterLink to="/ressources/bloc" @click="menuStore.hide">
            <Card height="auto" width="auto">
              <div class="ressource">
                <span class="ressource-title">Bloc</span>
                <span class="ressource-desc">{{ $t('RESSOURCES.BLOC') }}</span>
              </div>
            </Card>
          </RouterLink>
          <RouterLink to="/ressources/cinny" @click="menuStore.hide">
            <Card height="auto" width="auto">
              <div class="ressource">
                <span class="ressource-title">Cinny / Matrix</span>
                <span class="ressource-desc">{{ $t('RESSOURCES.CINNY') }}</span>
              </div>
            </Card>
          </RouterLink>
        </div>
      </div>
    </Card>
  </Menu>
</template>

<style scoped>
.soon {
  color: var(--primary-green);
  display: flex;
  flex-direction: column;
  gap: 8px;
}

.ressources {
  display: flex;
  flex-direction: row;
  gap: 16px;
}

.ressources .part {
  display: flex;
  flex-direction: column;
  width: 100%;
  gap: 8px;
}

.ressources .part .title {
  display: flex;
  align-items: center;
  gap: 6px;
  opacity: 50%;
  margin-bottom: 12px;

  font-size: 12px;
}

.ressources .part .title svg {
  height: 12px;
}

.ressource {
  display: flex;
  flex-direction: column;
  gap: 8px;
}

.ressource .ressource-title {
  font-size: 14px;
}

.ressource .ressource-desc {
  font-size: 12px;
  opacity: 50%;
}
</style>